Error
A valid request URL is required to generate request examples{
"providers": [
{
"name": "anthropic",
"network_config": {
"base_url": "<string>",
"extra_headers": {},
"default_request_timeout_in_seconds": 123,
"max_retries": 123,
"retry_backoff_initial": 123,
"retry_backoff_max": 123,
"insecure_skip_verify": true,
"ca_cert_pem": "<string>",
"allow_private_network": false
},
"concurrency_and_buffer_size": {
"concurrency": 123,
"buffer_size": 123
},
"proxy_config": {
"type": "none",
"url": "<string>",
"username": "<string>",
"password": "<string>",
"ca_cert_pem": "<string>"
},
"send_back_raw_request": true,
"send_back_raw_response": true,
"store_raw_request_response": true,
"custom_provider_config": {
"is_key_less": true,
"does_not_send_done_marker": true,
"base_provider_type": "anthropic",
"allowed_requests": {
"list_models": true,
"text_completion": true,
"text_completion_stream": true,
"chat_completion": true,
"chat_completion_stream": true,
"responses": true,
"responses_stream": true,
"count_tokens": true,
"embedding": true,
"speech": true,
"speech_stream": true,
"transcription": true,
"transcription_stream": true,
"image_generation": true,
"image_generation_stream": true,
"batch_create": true,
"batch_list": true,
"batch_retrieve": true,
"batch_cancel": true,
"batch_results": true,
"file_upload": true,
"file_list": true,
"file_retrieve": true,
"file_delete": true,
"file_content": true
},
"request_path_overrides": {}
},
"prompt_cache": {
"auto_inject": true,
"ttl": "1h",
"cache_control_injection_points": [
{
"location": "message",
"role": "system",
"index": 123
}
]
},
"provider_status": "active",
"status": "<string>",
"description": "<string>",
"config_hash": "<string>"
}
],
"total": 123
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "anthropic",
"model_requested": "<string>",
"request_type": "<string>",
"error_type": "<string>"
}
}Providers
List all providers
Returns a list of all configured providers with their configurations and status.
GET
/
api
/
providers
Error
A valid request URL is required to generate request examples{
"providers": [
{
"name": "anthropic",
"network_config": {
"base_url": "<string>",
"extra_headers": {},
"default_request_timeout_in_seconds": 123,
"max_retries": 123,
"retry_backoff_initial": 123,
"retry_backoff_max": 123,
"insecure_skip_verify": true,
"ca_cert_pem": "<string>",
"allow_private_network": false
},
"concurrency_and_buffer_size": {
"concurrency": 123,
"buffer_size": 123
},
"proxy_config": {
"type": "none",
"url": "<string>",
"username": "<string>",
"password": "<string>",
"ca_cert_pem": "<string>"
},
"send_back_raw_request": true,
"send_back_raw_response": true,
"store_raw_request_response": true,
"custom_provider_config": {
"is_key_less": true,
"does_not_send_done_marker": true,
"base_provider_type": "anthropic",
"allowed_requests": {
"list_models": true,
"text_completion": true,
"text_completion_stream": true,
"chat_completion": true,
"chat_completion_stream": true,
"responses": true,
"responses_stream": true,
"count_tokens": true,
"embedding": true,
"speech": true,
"speech_stream": true,
"transcription": true,
"transcription_stream": true,
"image_generation": true,
"image_generation_stream": true,
"batch_create": true,
"batch_list": true,
"batch_retrieve": true,
"batch_cancel": true,
"batch_results": true,
"file_upload": true,
"file_list": true,
"file_retrieve": true,
"file_delete": true,
"file_content": true
},
"request_path_overrides": {}
},
"prompt_cache": {
"auto_inject": true,
"ttl": "1h",
"cache_control_injection_points": [
{
"location": "message",
"role": "system",
"index": 123
}
]
},
"provider_status": "active",
"status": "<string>",
"description": "<string>",
"config_hash": "<string>"
}
],
"total": 123
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "anthropic",
"model_requested": "<string>",
"request_type": "<string>",
"error_type": "<string>"
}
}Authorizations
ManagementBearerAuthBasicAuth
Management API authentication for /api/* endpoints. Use the Authorization header
with Bearer <token>, where <token> is one of:
- a Bifrost management API key,
- a dashboard session token issued by
POST /api/session/login, - base64 of
<admin-username>:<admin-password>(legacy equivalent ofBasicAuth).
Virtual keys (sk-bf-*) and the x-api-key header are not accepted on management APIs -
the sole exception is GET /api/governance/virtual-keys/quota, which is virtual-key-only.
Was this page helpful?

